UPDATE-AIDE.CONF(8)

NAME
update-aide.conf - build run-time AIDE configuration

SYNOPSIS
update-aide.conf

DESCRIPTION
update-aide.conf rebuilds the runtime AIDE configuration. /etc/aide/aide.conf and the contents of the /etc/aide/aide.conf.d directory. If one of these files is executeable, update-aide.conf executes the file and uses its stdout for the AIDE configuration. For files that are not executeable, their contents is copied into AIDE configuration verbatim. The input paths can be controlled from the command line or using configuration options in /etc/default/aide. update-aide.conf is primarily used by aideinit (8), the aide wrapper and and the /etc/cron.daily/aide script.

Debian Packages might drop configuration snippets in /etc/aide/aide.conf.d , which will be picked up automatically by aide if the default paths are used. If you would prefer to control your rules yourself, you might want to point update-aide.conf to a different conf.d directory by configuring /etc/default/aide appropriately. You can then use symlinks to select Debian rules. Or you can edit the files dropped into /etc/aide/aide.conf.d yourself, they are dpkg-conffiles.

All command line settings can also be overridden by setting the appropriate environment variable from /etc/default/aide. Additionally, values set in the environment prior to the call to update-aide.conf are also honored. The location of the defaults file can also be overridden from the environment.

OPTIONS

-v, --verbose
    Enable verbose mode, tell about ignored files

-h, --help
    Show this message

--keepcomments
    Do not remove comment lines

--removecomments
    Remove comment lines (default)

-o, --output
    write output to file instead of /var/lib/aide/aide.conf.autogenerated

-d, --confdir
    read input from given directory instead of /etc/aide. Can be overridden using UPAC_CONFDIR.

-D, --confd
    read config file snippets from given directory instead of /etc/aide/aide.conf.d. Can be overridden using UPAC_CONFD.

-S, --settingsd
    read settings files from given directory instead of /etc/aide/aide.settings.d. Can be overridden using UPAC_SETTINGSD.

-a, --autoconfigfile
    write output to the given file instead of /var/lib/aide/aide.conf.autogenerated. Can be overridden using UPAC_AUTOCONFIGFILE.

-m, --mainconfigfile
    read main part of aide configuration from given file instead of /etc/aide/aide.conf. Can be overridden using UPAC_MAINCONFIGFILE

FILES

/etc/aide/aide.conf
    main AIDE configuration file

/etc/aide/aide.conf.d
    configuration file fragments to be added to the master configuration file

/etc/aide/aide.settings.d
    settings files parsed by some configuration files in UPAC_CONFD.

/etc/default/aide
    Debian aide defaults file used for permanently overriding some option defaults. This can be overridden from the environment using the UPAC_DEFAULTFILE variable.

AUTHOR
This manual page was written by Mike Markley <mike@markley.org> and Marc Haber <mh+debian-packages@zugschlus.de>, for the Debian GNU/Linux system (but may be used by others).